> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /items/{id}

PATCH https://api.merge.dev/api/accounting/v1/items/{id}
Content-Type: application/json

Updates an `Item` object with the given `id`.

Reference: https://docs.merge.dev/merge-unified/accounting/common-models/items/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `is_debug_mode` (boolean, optional) — Whether to include debug fields (such as log file links) in the response.
- `run_async` (boolean, optional) — Whether or not third-party updates should be run asynchronously.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

### Body (application/json)

This endpoint expects a PatchedItemEndpointRequest.

- `model` (PatchedItemRequestRequest, required) — # The Item Object ### Description The `Item` object refers to the goods involved in a transaction. ### Usage Example Fetch from the `LIST Items` endpoint and view a company's items.

## Response

### 200

- `model` (Item, required) — # The Item Object ### Description The `Item` object refers to the goods involved in a transaction. ### Usage Example Fetch from the `LIST Items` endpoint and view a company's items.
- `warnings` (list of WarningValidationProblem, required)
- `errors` (list of ErrorValidationProblem, required)
- `logs` (list of DebugModeLog, optional)

## Types

### PatchedItemRequestRequest

# The Item Object ### Description The `Item` object refers to the goods involved in a transaction. ### Usage Example Fetch from the `LIST Items` endpoint and view a company's items.

- `name` (string, optional, nullable) — The item's name.
- `status` (enum, optional, nullable) — The item's status.
  - Allowed values: `ACTIVE`, `ARCHIVED`
- `type` (enum, optional, nullable) — The item's type.
  - Allowed values: `INVENTORY`, `NON_INVENTORY`, `SERVICE`, `UNKNOWN`
- `unit_price` (double, optional, nullable) — The item's unit price.
- `purchase_price` (double, optional, nullable) — The price at which the item is purchased from a vendor.
- `purchase_account` (string, optional, nullable) — References the default account used to record a purchase of the item.
- `sales_account` (string, optional, nullable) — References the default account used to record a sale.
- `company` (string, optional, nullable) — The company the item belongs to.
- `purchase_tax_rate` (string, optional, nullable) — The default purchase tax rate for this item.
- `sales_tax_rate` (string, optional, nullable) — The default sales tax rate for this item.
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)
- `status_native` (string, optional, nullable) — The third-party value for `status`, sent to the integration without enum normalization. Cannot be combined with `status`.

### Item

# The Item Object ### Description The `Item` object refers to the goods involved in a transaction. ### Usage Example Fetch from the `LIST Items` endpoint and view a company's items.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `name` (string, optional, nullable) — The item's name.
- `status` (enum, optional, nullable) — The item's status. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=status` to receive the integration's own value instead.
  - Allowed values: `ACTIVE`, `ARCHIVED`
- `type` (enum, optional, nullable) — The item's type.
  - Allowed values: `INVENTORY`, `NON_INVENTORY`, `SERVICE`, `UNKNOWN`
- `unit_price` (double, optional, nullable) — The item's unit price.
- `purchase_price` (double, optional, nullable) — The price at which the item is purchased from a vendor.
- `purchase_account` (string, optional, nullable) — References the default account used to record a purchase of the item.
- `sales_account` (string, optional, nullable) — References the default account used to record a sale.
- `company` (string, optional, nullable) — The company the item belongs to.
- `purchase_tax_rate` (string, optional, nullable) — The default purchase tax rate for this item.
- `sales_tax_rate` (string, optional, nullable) — The default sales tax rate for this item.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's item note was updated.
- `item_url` (string, optional, nullable) — The 3rd party URL of the item.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (ItemFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

### WarningValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### ErrorValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### DebugModeLog

- `log_id` (string, required)
- `dashboard_view` (string, required)
- `log_summary` (DebugModelLogSummary, required)

### ItemFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### ValidationProblemSource

- `pointer` (string, required)

### DebugModelLogSummary

- `url` (string, required)
- `method` (string, required)
- `status_code` (integer, required)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "model": {
    "id": "d2f972d0-2526-434b-9409-4c3b468e08f0",
    "remote_id": "12374",
    "created_at": "2021-09-15T00:00:00Z",
    "modified_at": "2021-10-16T00:00:00Z",
    "name": "Pickleball Paddle",
    "status": "ACTIVE",
    "type": "INVENTORY",
    "unit_price": 10,
    "purchase_price": 25,
    "purchase_account": "9871b4a9-f5d2-4f3b-a66b-dfedbed42c46",
    "sales_account": "3872b4c9-f5d2-4f3b-a66b-dfedbed42c49",
    "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
    "purchase_tax_rate": "983e8f97-9qw2-34v9-p123-67bdf98740v5",
    "sales_tax_rate": "232c8f56-7se4-98f2-y334-12bdf89249f5",
    "remote_updated_at": "2020-03-31T00:00:00Z",
    "item_url": "https://qbo.intuit.com/app/item/12374",
    "remote_was_deleted": true,
    "field_mappings": {
      "organization_defined_targets": {
        "custom_key": "custom_value"
      },
      "linked_account_defined_targets": {
        "custom_key": "custom_value"
      }
    },
    "remote_data": [
      {
        "path": "/actions",
        "data": null
      }
    ]
  },
  "warnings": [
    {
      "title": "Unrecognized Field",
      "detail": "An unrecognized field, age, was passed in with request data.",
      "problem_type": "UNRECOGNIZED_FIELD",
      "source": {
        "pointer": "/age"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "errors": [
    {
      "title": "Missing Required Field",
      "detail": "custom_fields is a required field on model.",
      "problem_type": "MISSING_REQUIRED_FIELD",
      "source": {
        "pointer": "/model/custom_fields"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "logs": [
    {
      "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
      "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
      "log_summary": {
        "url": "www.exampleintegration.com/api/v1/exampleapi",
        "method": "POST",
        "status_code": 200
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/accounting/v1/items/id"

payload = {}
headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/accounting/v1/items/id';
const options = {
  method: 'PATCH',
  headers: {
    'X-Account-Token': 'X-Account-Token',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/accounting/v1/items/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/accounting/v1/items/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.merge.dev/api/accounting/v1/items/id")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.merge.dev/api/accounting/v1/items/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/accounting/v1/items/id");
var request = new RestRequest(Method.PATCH);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/accounting/v1/items/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```